Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367679 - systemd unit file is not installed
Summary: systemd unit file is not installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nbd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robin Lee
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-17 08:40 UTC by Wouter Verhelst
Modified: 2016-08-27 15:19 UTC (History)
5 users (show)

Fixed In Version: nbd-3.14-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 15:19:09 UTC


Attachments (Terms of Use)

Description Wouter Verhelst 2016-08-17 08:40:17 UTC
Hi,

I'm upstream for nbd. Since nbd 3.14, a systemd unit file for the nbd-client process is shipped. However, looking at [1], I see it is not being installed with the new nbd-3.14 package.

This is probably due to the fact that installing a systemd unit file in a packaging-friendly way is complicated, and that therefore I chose not to do it (I also happen to be the Debian maintainer for nbd). The file is EXTRA_DIST'ed in the systemd directory in the source tarball.

You might want to add that to your package.

[1] http://koji.fedoraproject.org/koji/rpminfo?rpmID=7960045

Comment 1 Fedora Update System 2016-08-18 11:54:56 UTC
nbd-3.14-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a34d98b321

Comment 2 Fedora Update System 2016-08-18 11:55:04 UTC
nbd-3.14-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a34d98b321

Comment 3 Fedora Update System 2016-08-19 00:59:48 UTC
nbd-3.14-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a34d98b321

Comment 4 Fedora Update System 2016-08-27 15:19:02 UTC
nbd-3.14-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.